diff -urN punbb-1.3/extern.php punbb-1.3.4/extern.php
--- punbb-1.3/extern.php	2008-10-31 09:04:18.000000000 +0000
+++ punbb-1.3.4/extern.php	2009-04-17 12:51:23.000000000 +0000
@@ -5,7 +5,7 @@
  * Allows forum content to be syndicated outside of the site in various formats
  * (ie: RSS, Atom, XML, HTML).
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -120,8 +120,9 @@
 	else
 		echo "\t\t".'<generator>PunBB</generator>'."\n";
 
-	foreach ($feed['items'] as $item)
+	($hook = get_hook('ex_add_new_rss_info')) ? eval($hook) : null;
 
+	foreach ($feed['items'] as $item)
 	{
 		echo "\t\t".'<item>'."\n";
 		echo "\t\t\t".'<title><![CDATA['.escape_cdata($item['title']).']]></title>'."\n";
@@ -131,6 +132,8 @@
 		echo "\t\t\t".'<pubDate>'.gmdate('r', $item['pubdate']).'</pubDate>'."\n";
 		echo "\t\t\t".'<guid>'.$item['link'].'</guid>'."\n";
 
+		($hook = get_hook('ex_add_new_rss_item_info')) ? eval($hook) : null;
+
 		echo "\t\t".'</item>'."\n";
 	}
 
@@ -164,6 +167,8 @@
 	else
 		echo "\t".'<generator>PunBB</generator>'."\n";
 
+	($hook = get_hook('ex_add_new_atom_info')) ? eval($hook) : null;
+
 	echo "\t".'<id>'.$feed['link'].'</id>'."\n";
 
 	$content_tag = ($feed['type'] == 'posts') ? 'content' : 'summary';
@@ -186,6 +191,8 @@
 		echo "\t\t\t".'</author>'."\n";
 		echo "\t\t\t".'<updated>'.gmdate('Y-m-d\TH:i:s\Z', $item['pubdate']).'</updated>'."\n";
 
+		($hook = get_hook('ex_add_new_atom_item_info')) ? eval($hook) : null;
+
 		echo "\t\t\t".'<id>'.$item['link'].'</id>'."\n";
 		echo "\t\t".'</entry>'."\n";
 	}
@@ -202,7 +209,7 @@
 	global $lang_common, $forum_config;
 
 	// Send XML/no cache headers
-	header('Content-Type: text/xml; charset=utf-8');
+	header('Content-Type: application/xml; charset=utf-8');
 	header('Expires: '.gmdate('D, d M Y H:i:s').' GMT');
 	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
 	header('Pragma: public');
@@ -211,6 +218,8 @@
 	echo '<source>'."\n";
 	echo "\t".'<url>'.$feed['link'].'</url>'."\n";
 
+	($hook = get_hook('ex_add_new_xml_info')) ? eval($hook) : null;
+
 	$forum_tag = ($feed['type'] == 'posts') ? 'post' : 'topic';
 
 	foreach ($feed['items'] as $item)
@@ -232,6 +241,8 @@
 		echo "\t\t".'</author>'."\n";
 		echo "\t\t".'<posted>'.gmdate('r', $item['pubdate']).'</posted>'."\n";
 
+		($hook = get_hook('ex_add_new_xml_item_info')) ? eval($hook) : null;
+
 		echo "\t".'</'.$forum_tag.'>'."\n";
 	}
 
@@ -247,11 +258,14 @@
 
 	// Send the Content-type header in case the web server is setup to send something else
 	header('Content-type: text/html; charset=utf-8');
+	header('Expires: '.gmdate('D, d M Y H:i:s').' GMT');
+	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
+	header('Pragma: public');
 
 	foreach ($feed['items'] as $item)
 	{
 		if (utf8_strlen($item['title']) > FORUM_EXTERN_MAX_SUBJECT_LENGTH)
-			$subject_truncated = forum_htmlencode(forum_trim(utf8_substr($item['title'], 0, (FORUM_EXTERN_MAX_SUBJECT_LENGTH - 5)))).' …';
+			$subject_truncated = forum_htmlencode(forum_trim(utf8_substr($item['title'], 0, (FORUM_EXTERN_MAX_SUBJECT_LENGTH - 5)))).'…';
 		else
 			$subject_truncated = forum_htmlencode($item['title']);
 
@@ -269,6 +283,8 @@
 	if ($show < 1 || $show > 50)
 		$show = 15;
 
+	($hook = get_hook('ex_set_syndication_type')) ? eval($hook) : null;
+
 	// Was a topic ID supplied?
 	if (isset($_GET['tid']))
 	{
@@ -276,7 +292,7 @@
 
 		// Fetch topic subject
 		$query = array(
-			'SELECT'	=> 't.subject, t.num_replies, t.first_post_id',
+			'SELECT'	=> 't.subject, t.first_post_id',
 			'FROM'		=> 'topics AS t',
 			'JOINS'		=> array(
 				array(
@@ -297,12 +313,15 @@
 
 		$cur_topic = $forum_db->fetch_assoc($result);
 
+		if (!defined('FORUM_PARSER_LOADED'))
+			require FORUM_ROOT.'include/parser.php';
+
 		if ($forum_config['o_censoring'] == '1')
 			$cur_topic['subject'] = censor_words($cur_topic['subject']);
 
 		// Setup the feed
 		$feed = array(
-			'title' 		=>	$forum_config['o_board_title'].' - '.$cur_topic['subject'],
+			'title' 		=>	$forum_config['o_board_title'].$lang_common['Title separator'].$cur_topic['subject'],
 			'link'			=>	forum_link($forum_url['topic'], array($tid, sef_friendly($cur_topic['subject']))),
 			'description'	=>	sprintf($lang_common['RSS description topic'], $cur_topic['subject']),
 			'items'			=>	array(),
@@ -311,7 +330,7 @@
 
 		// Fetch $show posts
 		$query = array(
-			'SELECT'	=> 'p.id, p.poster, p.message, p.posted, p.poster_id, u.email_setting, u.email, p.poster_email',
+			'SELECT'	=> 'p.id, p.poster, p.message, p.hide_smilies, p.posted, p.poster_id, u.email_setting, u.email, p.poster_email',
 			'FROM'		=> 'posts AS p',
 			'JOINS'		=> array(
 				array(
@@ -331,6 +350,8 @@
 			if ($forum_config['o_censoring'] == '1')
 				$cur_post['message'] = censor_words($cur_post['message']);
 
+			$cur_post['message'] = parse_message($cur_post['message'], $cur_post['hide_smilies']);
+
 			$item = array(
 				'id'			=>	$cur_post['id'],
 				'title'			=>	$cur_topic['first_post_id'] == $cur_post['id'] ? $cur_topic['subject'] : $lang_common['RSS reply'].$cur_topic['subject'],
@@ -344,12 +365,12 @@
 
 			if ($cur_post['poster_id'] > 1)
 			{
-				if ($cur_post['email_setting'] == '0')
+				if ($cur_post['email_setting'] == '0' && !$forum_user['is_guest'])
 					$item['author']['email'] = $cur_post['email'];
 
 				$item['author']['uri'] = forum_link($forum_url['user'], $cur_post['poster_id']);
 			}
-			else if ($cur_post['poster_email'] != '')
+			else if ($cur_post['poster_email'] != '' && !$forum_user['is_guest'])
 				$item['author']['email'] = $cur_post['poster_email'];
 
 			$feed['items'][] = $item;
@@ -364,6 +385,11 @@
 	}
 	else
 	{
+		$forum_name = '';
+
+		if (!defined('FORUM_PARSER_LOADED'))
+			require FORUM_ROOT.'include/parser.php';
+
 		// Were any forum ID's supplied?
 		if (isset($_GET['fid']) && is_scalar($_GET['fid']) && $_GET['fid'] != '')
 		{
@@ -372,6 +398,26 @@
 
 			if (!empty($fids))
 				$forum_sql = ' AND t.forum_id IN('.implode(',', $fids).')';
+
+			if (count($fids) == 1)
+			{
+			// Fetch forum name
+			$query = array(
+				'SELECT'	=> 'f.forum_name',
+				'FROM'		=> 'forums AS f',
+				'JOINS'		=> array(
+					array(
+						'LEFT JOIN'		=> 'forum_perms AS fp',
+						'ON'			=> '(fp.forum_id=f.id AND fp.group_id='.$forum_user['g_id'].')'
+					)
+				),
+				'WHERE'		=> '(fp.read_forum IS NULL OR fp.read_forum=1) AND f.id='.$fids[0]
+			);
+
+			$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
+			if ($forum_db->num_rows($result))
+				$forum_name = $lang_common['Title separator'].$forum_db->result($result);
+			}
 		}
 
 		// Any forum ID's to exclude?
@@ -386,7 +432,7 @@
 
 		// Setup the feed
 		$feed = array(
-			'title' 		=>	$forum_config['o_board_title'],
+			'title' 		=>	$forum_config['o_board_title'].$forum_name,
 			'link'			=>	forum_link($forum_url['index']),
 			'description'	=>	sprintf($lang_common['RSS description'], $forum_config['o_board_title']),
 			'items'			=>	array(),
@@ -395,7 +441,7 @@
 
 		// Fetch $show topics
 		$query = array(
-			'SELECT'	=> 't.id, t.poster, t.subject, t.last_post, t.last_poster, p.message, u.email_setting, u.email, p.poster_id, p.poster_email',
+			'SELECT'	=> 't.id, t.poster, t.subject, t.last_post, t.last_poster, p.message, p.hide_smilies, u.email_setting, u.email, p.poster_id, p.poster_email',
 			'FROM'		=> 'topics AS t',
 			'JOINS'		=> array(
 				array(
@@ -429,11 +475,13 @@
 				$cur_topic['message'] = censor_words($cur_topic['message']);
 			}
 
+			$cur_topic['message'] = parse_message($cur_topic['message'], $cur_topic['hide_smilies']);
+
 			$item = array(
 				'id'			=>	$cur_topic['id'],
 				'title'			=>	$cur_topic['subject'],
 				'link'			=>	forum_link($forum_url['topic_new_posts'], array($cur_topic['id'], sef_friendly($cur_topic['subject']))),
-				'description'		=>	$cur_topic['message'],
+				'description'	=>	$cur_topic['message'],
 				'author'		=>	array(
 					'name'	=> $cur_topic['last_poster']
 				),
@@ -442,12 +490,12 @@
 
 			if ($cur_topic['poster_id'] > 1)
 			{
-				if ($cur_topic['email_setting'] == '0')
+				if ($cur_topic['email_setting'] == '0' && !$forum_user['is_guest'])
 					$item['author']['email'] = $cur_topic['email'];
 
 				$item['author']['uri'] = forum_link($forum_url['user'], $cur_topic['poster_id']);
 			}
-			else if ($cur_topic['poster_email'] != '')
+			else if ($cur_topic['poster_email'] != '' && !$forum_user['is_guest'])
 				$item['author']['email'] = $cur_topic['poster_email'];
 
 			$feed['items'][] = $item;
@@ -487,7 +535,7 @@
 	{
 		if ($forum_user_online['user_id'] > 1)
 		{
-			$users[] = '<a href="'.forum_link($forum_url['user'], $forum_user_online['user_id']).'">'.forum_htmlencode($forum_user_online['ident']).'</a>';
+			$users[] = $forum_user['g_view_users'] == '1' ?'<a href="'.forum_link($forum_url['user'], $forum_user_online['user_id']).'">'.forum_htmlencode($forum_user_online['ident']).'</a>' : forum_htmlencode($forum_user_online['ident']);
 			++$num_users;
 		}
 		else
@@ -495,11 +543,17 @@
 	}
 
 	($hook = get_hook('ex_pre_online_output')) ? eval($hook) : null;
+	// Send the Content-type header in case the web server is setup to send something else
+	header('Content-type: text/html; charset=utf-8');
+	header('Expires: '.gmdate('D, d M Y H:i:s').' GMT');
+	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
+	header('Pragma: public');
+
 
 	echo $lang_index['Guests online'].': '.forum_number_format($num_guests).'<br />'."\n";
 
-	if ($_GET['action'] == 'online_full')
-		echo $lang_index['Users online'].': '.implode(', ', $users).'<br />'."\n";
+	if ($_GET['action'] == 'online_full' && !empty($users))
+		echo $lang_index['Users online'].': '.implode($lang_index['Online list separator'], $users).'<br />'."\n";
 	else
 		echo $lang_index['Users online'].': '.forum_number_format($num_users).'<br />'."\n";
 
@@ -544,6 +598,12 @@
 	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
 	list($stats['total_topics'], $stats['total_posts']) = $forum_db->fetch_row($result);
 
+	// Send the Content-type header in case the web server is setup to send something else
+	header('Content-type: text/html; charset=utf-8');
+	header('Expires: '.gmdate('D, d M Y H:i:s').' GMT');
+	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
+	header('Pragma: public');
+
 	($hook = get_hook('ex_pre_stats_output')) ? eval($hook) : null;
 
 	echo sprintf($lang_index['No of users'], forum_number_format($stats['total_users'])).'<br />'."\n";
diff -urN punbb-1.3/footer.php punbb-1.3.4/footer.php
--- punbb-1.3/footer.php	2008-11-09 13:28:04.000000000 +0000
+++ punbb-1.3.4/footer.php	2009-05-20 09:09:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Outputs the footer used by most forum pages.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -15,11 +15,12 @@
 // START SUBST - <!-- forum_about -->
 ob_start();
 ($hook = get_hook('ft_about_output_start')) ? eval($hook) : null;
-($hook = get_hook('ft_about_pre_quickjump')) ? eval($hook) : null;
 
 // Display the "Jump to" drop list
 if ($forum_user['g_read_board'] == '1' && $forum_config['o_quickjump'] == '1')
 {
+	($hook = get_hook('ft_about_pre_quickjump')) ? eval($hook) : null;
+
 	// Load cached quickjump
 	if (file_exists(FORUM_CACHE_DIR.'cache_quickjump_'.$forum_user['g_id'].'.php'))
 		include FORUM_CACHE_DIR.'cache_quickjump_'.$forum_user['g_id'].'.php';
@@ -34,15 +35,12 @@
 	}
 }
 
-
 ($hook = get_hook('ft_about_pre_copyright')) ? eval($hook) : null;
 
-// End the transaction
-$forum_db->end_transaction();
-
 ?>
-	<p id="copyright"><?php echo sprintf($lang_common['Powered by'], '<a href="http://punbb.informer.com/">PunBB</a>'.($forum_config['o_show_version'] == '1' ? ' '.$forum_config['o_cur_version'] : '')); ?></p>
+	<p id="copyright"><?php echo sprintf($lang_common['Powered by'], '<a href="http://punbb.informer.com/">PunBB</a>'.($forum_config['o_show_version'] == '1' ? ' '.$forum_config['o_cur_version'] : ''), '<a href="http://www.informer.com/">Informer Technologies, Inc</a>') ?></p>
 <?php
+
 ($hook = get_hook('ft_about_end')) ? eval($hook) : null;
 
 $tpl_temp = forum_trim(ob_get_contents());
@@ -81,6 +79,8 @@
 // Last call!
 ($hook = get_hook('ft_end')) ? eval($hook) : null;
 
+// End the transaction
+$forum_db->end_transaction();
 
 // Close the db connection (and free up any result data)
 $forum_db->close();
diff -urN punbb-1.3/header.php punbb-1.3.4/header.php
--- punbb-1.3/header.php	2008-11-07 15:27:12.000000000 +0000
+++ punbb-1.3.4/header.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Outputs the header used by most forum pages.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -247,11 +247,11 @@
 		if ($forum_updates['fail'])
 			$alert_items['update_fail'] = '<p><strong>'.$lang_common['Updates'].'</strong> '.$lang_common['Updates failed'].'</p>';
 		else if (isset($forum_updates['version']) && isset($forum_updates['hotfix']))
-			$alert_items['update_version_hotfix'] = '<p><strong>'.$lang_common['Updates'].'</strong> '.sprintf($lang_common['Updates version n hf'], $forum_updates['version']).'</p>';
+			$alert_items['update_version_hotfix'] = '<p><strong>'.$lang_common['Updates'].'</strong> '.sprintf($lang_common['Updates version n hf'], $forum_updates['version'], forum_link($forum_url['admin_extensions_hotfixes'])).'</p>';
 		else if (isset($forum_updates['version']))
 			$alert_items['update_version'] = '<p><strong>'.$lang_common['Updates'].'</strong> '.sprintf($lang_common['Updates version'], $forum_updates['version']).'</p>';
 		else if (isset($forum_updates['hotfix']))
-			$alert_items['update_hotfix'] = '<p><strong>'.$lang_common['Updates'].'</strong> '.$lang_common['Updates hf'].'</p>';
+			$alert_items['update_hotfix'] = '<p><strong>'.$lang_common['Updates'].'</strong> '.sprintf($lang_common['Updates hf'], forum_link($forum_url['admin_extensions_hotfixes'])).'</p>';
 	}
 
 	// Warn the admin that their version of the database is newer than the version supported by the code
@@ -279,7 +279,7 @@
 // Bottom breadcrumbs
 $main_elements['<!-- forum_crumbs_end -->'] = (FORUM_PAGE != 'index') ? '<div id="brd-crumbs-end" class="crumbs gen-content">'."\n\t".'<p>'.generate_crumbs(false).'</p>'."\n".'</div>' : '';
 // Main section heading
-$main_elements['<!-- forum_main_title -->'] =  '<h1 class="main-title">'.((isset($forum_page['main_title'])) ? $forum_page['main_title'] : (is_array($last_crumb = end($forum_page['crumbs'])) ? reset($last_crumb) : $last_crumb)).(isset($forum_page['main_head_pages']) ? ' <small>'.$forum_page['main_head_pages'].'</small>' : '').'</h1>'."\n";
+$main_elements['<!-- forum_main_title -->'] =  '<h1 class="main-title">'.((isset($forum_page['main_title'])) ? $forum_page['main_title'] : forum_htmlencode(is_array($last_crumb = end($forum_page['crumbs'])) ? reset($last_crumb) : $last_crumb)).(isset($forum_page['main_head_pages']) ? ' <small>'.$forum_page['main_head_pages'].'</small>' : '').'</h1>'."\n";
 
 // Top pagination and post links
 $main_elements['<!-- forum_main_pagepost_top -->'] = (!empty($forum_page['page_post'])) ? '<div id="brd-pagepost-top" class="main-pagepost gen-content">'."\n\t".implode("\n\t", $forum_page['page_post'])."\n".'</div>' : '';
diff -urN punbb-1.3/help.php punbb-1.3.4/help.php
--- punbb-1.3/help.php	2008-10-31 09:04:18.000000000 +0000
+++ punbb-1.3.4/help.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * Provides examples of how to use various features of the forum (ie: BBCode, smilies).
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -26,7 +26,11 @@
 if (!$section)
 	message($lang_common['Bad request']);
 
-$page_title = forum_htmlencode($forum_config['o_board_title']).' - '.$lang_help['Help'];
+$forum_page['crumbs'] = array( 
+	array($forum_config['o_board_title'], forum_link($forum_url['help'])), 
+	$lang_help['Help'] 
+);
+
 define('FORUM_PAGE', 'help');
 require FORUM_ROOT.'header.php';
 
@@ -102,7 +106,7 @@
 				<samp><a href="mailto:name@example.com">name@example.com</a></samp>
 			</div>
 			<div class="entry-content">
-				<code>[email=name@example.com]<?php echo $lang_help['My e-mail address'] ?>[/email]</code><span><?php echo $lang_help['produces'] ?></span>
+				<code>[email=name@example.com]<?php echo $lang_help['My e-mail address'] ?>[/email]</code> <span><?php echo $lang_help['produces'] ?></span>
 				<samp><a href="mailto:name@example.com"><?php echo $lang_help['My e-mail address'] ?></a></samp>
 			</div>
 <?php ($hook = get_hook('he_new_bbcode_link')) ? eval($hook) : null; ?>
diff -urN punbb-1.3/include/cache.php punbb-1.3.4/include/cache.php
--- punbb-1.3/include/cache.php	2008-10-25 15:27:40.000000000 +0000
+++ punbb-1.3.4/include/cache.php	2009-04-17 12:51:23.000000000 +0000
@@ -4,7 +4,7 @@
  *
  * This file contains all of the functions used to generate the cache files used by the site.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -371,7 +371,7 @@
 		$output = xml_to_array(forum_trim($result['content']));
 		$output = current($output);
 
-		if (is_array($output['hotfix']) && !is_array(current($output['hotfix'])))
+		if (!empty($output['hotfix']) && is_array($output['hotfix']) && !is_array(current($output['hotfix'])))
 			$output['hotfix'] = array($output['hotfix']);
 
 		$output['cached'] = time();
diff -urN punbb-1.3/include/common.php punbb-1.3.4/include/common.php
--- punbb-1.3/include/common.php	2008-10-30 16:06:04.000000000 +0000
+++ punbb-1.3.4/include/common.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads common data and performs various functions necessary for the site to work properly.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/include/common_admin.php punbb-1.3.4/include/common_admin.php
--- punbb-1.3/include/common_admin.php	2008-10-30 11:34:55.000000000 +0000
+++ punbb-1.3.4/include/common_admin.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads common functions used in the administration panel.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -35,7 +35,7 @@
 			if ($forum_config['o_censoring'] == '1')
 				$forum_page['admin_submenu']['censoring'] = '<li class="'.((FORUM_PAGE == 'admin-censoring') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_censoring']).'">'.$lang_admin_common['Censoring'].'</a></li>';
 
-			$form_page['admin_submenu']['reports'] = '<li class="'.((FORUM_PAGE == 'admin-reports') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_reports']).'">'.$lang_admin_common['Reports'].'</a></li>';
+			$forum_page['admin_submenu']['reports'] = '<li class="'.((FORUM_PAGE == 'admin-reports') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_reports']).'">'.$lang_admin_common['Reports'].'</a></li>';
 
 			if ($forum_user['g_mod_ban_users'] == '1')
 				$forum_page['admin_submenu']['bans'] = '<li class="'.((FORUM_PAGE == 'admin-bans') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_bans']).'">'.$lang_admin_common['Bans'].'</a></li>';
@@ -50,7 +50,7 @@
 			}
 			else if (FORUM_PAGE_SECTION == 'users')
 			{
-				$forum_page['admin_submenu']['users'] = '<li class="'.((FORUM_PAGE == 'admin-users') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_users']).'">'.$lang_admin_common['Searches'].'</a></li>';
+				$forum_page['admin_submenu']['users'] = '<li class="'.((FORUM_PAGE == 'admin-users' || FORUM_PAGE == 'admin-uresults' || FORUM_PAGE == 'admin-iresults') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_users']).'">'.$lang_admin_common['Searches'].'</a></li>';
 				$forum_page['admin_submenu']['groups'] = '<li class="'.((FORUM_PAGE == 'admin-groups') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_groups']).'">'.$lang_admin_common['Groups'].'</a></li>';
 				$forum_page['admin_submenu']['ranks'] = '<li class="'.((FORUM_PAGE == 'admin-ranks') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_ranks']).'">'.$lang_admin_common['Ranks'].'</a></li>';
 				$forum_page['admin_submenu']['bans'] = '<li class="'.((FORUM_PAGE == 'admin-bans') ? 'active' : 'normal').((empty($forum_page['admin_submenu'])) ? ' first-item' : '').'"><a href="'.forum_link($forum_url['admin_bans']).'">'.$lang_admin_common['Bans'].'</a></li>';
diff -urN punbb-1.3/include/dblayer/common_db.php punbb-1.3.4/include/dblayer/common_db.php
--- punbb-1.3/include/dblayer/common_db.php	2008-10-23 07:49:10.000000000 +0000
+++ punbb-1.3.4/include/dblayer/common_db.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads the proper database layer class.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/include/dblayer/mysql.php punbb-1.3.4/include/dblayer/mysql.php
--- punbb-1.3/include/dblayer/mysql.php	2008-10-30 17:09:06.000000000 +0000
+++ punbb-1.3.4/include/dblayer/mysql.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * A database layer class that relies on the MySQL PHP extension.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/include/dblayer/mysqli.php punbb-1.3.4/include/dblayer/mysqli.php
--- punbb-1.3/include/dblayer/mysqli.php	2008-10-30 17:09:06.000000000 +0000
+++ punbb-1.3.4/include/dblayer/mysqli.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * A database layer class that relies on the MySQLi PHP extension.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/include/dblayer/pgsql.php punbb-1.3.4/include/dblayer/pgsql.php
--- punbb-1.3/include/dblayer/pgsql.php	2008-10-30 17:09:06.000000000 +0000
+++ punbb-1.3.4/include/dblayer/pgsql.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * A database layer class that relies on the PostgreSQL PHP extension.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/include/dblayer/sqlite.php punbb-1.3.4/include/dblayer/sqlite.php
--- punbb-1.3/include/dblayer/sqlite.php	2008-11-06 22:34:26.000000000 +0000
+++ punbb-1.3.4/include/dblayer/sqlite.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * A database layer class that relies on the SQLite PHP extension.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/include/email.php punbb-1.3.4/include/email.php
--- punbb-1.3/include/email.php	2008-10-25 15:27:40.000000000 +0000
+++ punbb-1.3.4/include/email.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads functions used in dealing with email addresses and email sending.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/include/essentials.php punbb-1.3.4/include/essentials.php
--- punbb-1.3/include/essentials.php	2008-11-09 13:35:41.000000000 +0000
+++ punbb-1.3.4/include/essentials.php	2009-05-20 09:20:51.000000000 +0000
@@ -2,21 +2,21 @@
 /**
  * Loads the minimum amount of data (eg: functions, database connection, config data, etc) necessary to integrate the site.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 // Enable DEBUG mode by removing // from the following line
-define('FORUM_DEBUG', 1);
+//define('FORUM_DEBUG', 1);
 
 if (!defined('FORUM_ROOT'))
 	exit('The constant FORUM_ROOT must be defined and point to a valid PunBB installation root directory.');
 
 // Define the version and database revision that this code was written for
-define('FORUM_VERSION', '1.3');
-define('FORUM_DB_REVISION', 3);
+define('FORUM_VERSION', '1.3.4');
+define('FORUM_DB_REVISION', 4);
 
 // Load the functions script
 require FORUM_ROOT.'include/functions.php';
@@ -63,7 +63,10 @@
 $forum_start = ((float)$usec + (float)$sec);
 
 // Make sure PHP reports all errors except E_NOTICE. PunBB supports E_ALL, but a lot of scripts it may interact with, do not.
-error_reporting(E_ALL);
+if (defined('FORUM_DEBUG'))
+	error_reporting(E_ALL);
+else
+	error_reporting(E_ALL ^ E_NOTICE);
 
 // Force POSIX locale (to prevent functions such as strtolower() from messing up UTF-8 strings)
 setlocale(LC_CTYPE, 'C');
@@ -106,7 +109,7 @@
 
 // Verify that we are running the proper database schema revision
 if (defined('PUN') || !isset($forum_config['o_database_revision']) || $forum_config['o_database_revision'] < FORUM_DB_REVISION || version_compare($forum_config['o_cur_version'], FORUM_VERSION, '<'))
-	error('Your PunBB database is out-of-date and must be upgraded in order to continue. Please run <a href="'.FORUM_ROOT.'admin/db_update.php">db_update.php</a> in order to complete the upgrade process.');
+	error('Your PunBB database is out-of-date and must be upgraded in order to continue. Please run <a href="'.$base_url.'/admin/db_update.php">db_update.php</a> in order to complete the upgrade process.');
 
 
 // Load hooks
